﻿from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create data folder"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating folder %s failed" % folder)

    def bootstrap(self):
        self.createFolderIfNotExisting(self.cfg['REDIS_DATA_DIR'])
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['REDIS_USER'], self.cfg['REDIS_GROUP'], self.cfg['REDIS_DATA_DIR']), self.log)
