__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript

import sys
import os
import app.util
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Generate redis.conf"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating folder %s failed" %folder)

    def createRuntime(self):
        configDir = self.cfg["REDIS_CONFIG_DIR"]
        self.createFolderIfNotExisting(configDir)
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'redis', 'conf-snippets', 'redis.conf.d')) \
            .evaluateIntoFile(os.path.join(configDir, "redis.conf"))