import os
import app.servicecontrol
import app.util

class ServiceController(app.servicecontrol.SimpleDaemonController):
    def __getBinPath(self):
        return os.path.abspath(os.path.join(os.path.dirname(os.path.abspath(__file__)), '..', 'bin'))

    def getPidFile(self):
        return "/opt/collabnet/teamforge/run/redis.pid"
        
    def getCommand(self):
        config = app.util.getRuntimeConfiguration()
        
        return "%s/redis-server %s" % (
            self.__getBinPath(), 
            os.path.join(config["REDIS_CONFIG_DIR"], "redis.conf"))
        
    def stopDaemonAsync(self):
        client = os.path.join(self.__getBinPath(), 'redis-cli')
        port = self.getService().getProvidedEndpoint("redis").getPort()
        
        app.util.runSystem("%s -p %s shutdown" % (client, port), self.logger)
        return True